{
	"apiVersion": 3,
	"name": "pdfdraft/download-pdf",
	"title": "Download PDF",
	"category": "common",
	"icon": "download",
	"description": "Button to download a generated PDF by project slug.",
	"keywords": ["pdf", "download", "project", "button"],
	"attributes": {
		"templateId": {
			"type": "string",
			"default": ""
		},
		"text": {
			"type": "string",
			"default": "Download PDF"
		},
		"borderRadius": {
			"type": "string",
			"default": ""
		},
		"contentJustification": {
			"type": "string",
			"default": "left"
		},
		"buttonWidth": {
			"type": "number"
		}
	},
	"supports": {
		"html": false,
		"align": true,
		"color": {
			"background": true,
			"gradients": true,
			"text": true,
			"__experimentalSelector": ".wp-block-button__link"
		},
		"spacing": {
			"padding": true,
			"__experimentalSelector": ".wp-block-button__link",
			"margin": true
		},
		"border": {
			"color": true,
			"radius": true,
			"style": true,
			"width": true,
			"__experimentalSelector": ".wp-block-button__link"
		},
		"typography": {
			"fontSize": true,
			"lineHeight": true,
			"__experimentalSelector": ".wp-block-button__link"
		}
	}
}
